/*
*Copyright (C),2023 , NANOCHAP
*File name:   ENS1_GPIO.H          
*Author:      
*Version:     V1.0 
*Date:        2023-11-                  
*Description: 
*Function List: 
     1  uint8_t  GPIO_AltFunction(GPIO_NUM GPIO_X , GPIO_AltFuncSel GPIO_AltFuncSelx);
     2  int8_t   GPIO_IO_Select(GPIO_NUM GPIO_X, I_O_SELECT INorOUT ,FunctionalState ENABLEorNOT);
     3  uint8_t  GPIO_GetInputValue(GPIO_NUM GPIO_X);
     4  uint8_t  GPIO_GetOutputValue(GPIO_NUM GPIO_X);
     5  void     GPIO_Output(GPIO_NUM GPIO_X,LEVELStatus HIGHorLOW);
     6  void     GPIO_SetOutput(GPIO_NUM GPIO_X);
     7  void     GPIO_ResetOutput(GPIO_NUM GPIO_X);
     8  void     GPIO_Overturn(GPIO_NUM GPIO_X);
	 9  void     GPIO_AnalogChannel_Control(GPIO_NUM GPIO_X ,FunctionalState ENABLEorNOT );
History: 
1.V1.0
Date:          
Author: 
Modification: ����
*/
#ifndef ENS1_GPIO_H
#define ENS1_GPIO_H
#include "my_header.h"
#include "CMSDK_CM0.h"
extern uint8_t GPIO_AltFunction(GPIO_NUM GPIO_X , GPIO_AltFuncSel GPIO_AltFuncSelx);
extern int8_t GPIO_IO_Init(GPIO_NUM GPIO_X, I_O_SELECT INorOUT ,GPIOOType_TypeDef GPIO_OType,GPIO_PUPD_TypeDef GPIO_PUPD,OUTPUT_SPEED_TypeDef OUTPUT_SPEED,OUTPUT_PDRV_TypeDef OUTPUT_PDRV,FunctionalState ENABLEorNOT);
extern int8_t GPIO_IO_Select(GPIO_NUM GPIO_X, I_O_SELECT INorOUT ,FunctionalState ENABLEorNOT);
extern uint8_t GPIO_GetInputValue(GPIO_NUM GPIO_X);
extern uint8_t GPIO_GetOutputValue(GPIO_NUM GPIO_X);
extern void GPIO_Output(GPIO_NUM GPIO_X,LEVELStatus HIGHorLOW);
extern void GPIO_SetOutput(GPIO_NUM GPIO_X);
extern void GPIO_ResetOutput(GPIO_NUM GPIO_X);
extern void GPIO_Overturn(GPIO_NUM GPIO_X);
extern void GPIO_AnalogChannel_Control(GPIO_NUM GPIO_X ,FunctionalState ENABLEorNOT );



#endif



